Bug 183907 - unnecessary key repeat with USBtoPS2 composite adapter
unnecessary key repeat with USBtoPS2 composite adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 11:23 EST by Takaki Hiroshi
Modified: 2008-05-06 11:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Takaki Hiroshi 2006-03-03 11:23:48 EST
Description of problem:
    I have USB-CVPS2 made by SANWA SUPPLY. This uses for a box which have only
usb port to use PS/2 keyboard and mouse. I connected this to Dell PowerEdge
SC430 and then install FC5.

SC430 <--> USB-CVPS2 <--+--> PS/2 keyboard
                        +--> PS/2 mouse

     But keyboard's behavior is little strange. The key which pushed last repeat
long time until pushing another key if I quick type keys.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1996_FC5

How reproducible:
sometime

Steps to Reproduce:
1. connect keyboard and mouse with USB-CVPS2
2. open a console or gnome-terminal
3. type key very quick

Actual results:
asdfasddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddfsf;kjs

Expected results:
sdka;fal;kjfa;skdjf;aljfa;dfj

Additional info:
/proc/bus/input/devices:
I: Bus=0003 Vendor=0b39 Product=0001 Version=0310
N: Name="Composite USB PS2 Converter USB to PS2 Adaptor  V3.10"
P: Phys=usb-0000:00:1d.0-2/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0
B: EV=120003
B: KEY=10000 7 ff800000 7ff febeffdf ffefffff ffffffff fffffffe
B: LED=7

I: Bus=0003 Vendor=0b39 Product=0001 Version=0310
N: Name="Composite USB PS2 Converter USB to PS2 Adaptor  V3.10"
P: Phys=usb-0000:00:1d.0-2/input1
S: Sysfs=/class/input/input1
H: Handlers=kbd mouse0 event1
B: EV=f
B: KEY=c0002 400 0 0 1f001f c00 78000 2639fa d841d7ad 9e0000 0 0 0
B: REL=143
B: ABS=1 0
Comment 1 Dave Jones 2006-10-16 15:50:47 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Takaki Hiroshi 2006-10-31 13:06:40 EST
kernel-smp-2.6.18-1.2200.fc5
doesn't work for me.
Comment 3 Takaki Hiroshi 2006-10-31 13:22:48 EST
I added comment. Why is this status still NEEDINFO?
Comment 4 Takaki Hiroshi 2006-10-31 13:46:47 EST
Now, the status is ASSIGNED. Sorry for annoying.
Comment 5 Takaki Hiroshi 2007-02-05 23:28:23 EST
still appear in kernel-smp-2.6.18-1.2257.fc5
Comment 6 petrosyan 2008-03-10 21:03:45 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 7 Jon Stanley 2008-03-31 14:31:33 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 8 Bug Zapper 2008-04-03 22:09:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 11:34:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.